stages:
  - build
  - publish

BuildAndPackage:
  image: opentapio/opentap:9.6-ubuntu18.04
  stage: build
  tags: [ docker, gce ]
  script:
    - dotnet restore
    - dotnet build -c Release
  artifacts:
    expire_in: 1 week
    paths:
    - "OpenTap.Plugins.RoboticArmControl/bin/Release/RoboticArmControl*.TapPackage"

Publish:
  image: opentapio/opentap:9.6-ubuntu18.04
  stage: publish
  tags: [ docker, gce ]
  when: manual
  dependencies:
    - BuildAndPackage
  script:
    - tap package install PackagePublish
    - tap package publish "OpenTap.Plugins.RoboticArmControl/bin/Release/RoboticArmControl*.TapPackage" -k $REPO_KEY
